<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8" />
    <title>Create New Activity</title>
    <link
            href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css"
            rel="stylesheet"
            integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO"
            crossorigin="anonymous"
    />
</head>
<body>
<div class="container">
    <h3>Create New Activity</h3>

    <form
            th:action="@{/activity/create}"
            th:object="${activity}"
            method="post"
    >
        <div class="form-group">
            <label for="nameInput">Name</label>
            <input
                    th:field="*{name}"
                    type="text"
                    class="form-control mb-4 col-4"
                    id="nameInput"
                    placeholder="Enter activity' name"
            />
        </div>
        <div class="form-group">
            <label for="dayInput">Day</label>
            <select
                    class="form-control selectpicker mb-4 col-4"
                    th:field="*{day}"
                    id="dayInput"
            >
                <option value="">Nothing selected</option>
                <option
                        th:each="day : ${T(id.ac.ui.cs.advprog.apdemo.model.Day).values()}"
                        th:value="${day}"
                        th:text="${day}"
                >
                    day
                </option>
            </select>
        </div>
        <button type="submit" class="btn btn-primary">Submit</button>
    </form>
</div>

<script
        src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js"
        integrity="sha384-ka7Sk0Gln4gmtz2MlQnikT1wXgYsOg+OMhuP+IlRH9sENBO0LRn5q+8nbTov4+1p"
        crossorigin="anonymous"
></script>
</body>
</html>
